cow_cookie:parse_set_cookie(3)

NAME

cow_cookie:parse_set_cookie - Parse a set-cookie header

DESCRIPTION
    parse_set_cookie(SetCookie :: binary())
        -> {ok, Name, Value, Attrs} | ignore

    Name  :: binary()
    Value :: binary()
    Attrs :: cow_cookie:cookie_attrs()

Parse a set-cookie header.

ARGUMENTS

SetCookie
    The set-cookie header value.

RETURN VALUE

An ok tuple with the cookie name, value and attributes is returned on success.

An atom ignore is returned when the cookie has both an empty name and an empty value, and must be ignored.

CHANGELOG
    • 2.9: Function introduced.

EXAMPLES

Parse a cookie header
    case cow_cookie:parse_set_cookie(SetCookieHd) of
        {ok, Name, Value, Attrs} ->
            cookie_engine_set_cookie(Name, Value, Attrs);
        ignore ->
            do_nothing()
    end.

SEE ALSO

cow_cookie(3), cow_cookie:parse_cookie(3), cow_cookie:cookie(3), cow_cookie:setcookie(3)